Subject: Re: [JGIT PATCH 4/5] Define Patch to parse a sequence of patch FileHeaders

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 11 Dec 2008 12:27:01 -0800

Robin Rosenberg <[email-masked]> wrote:
> torsdag 11 december 2008 19:39:54 skrev Shawn O. Pearce:
> > Robin Rosenberg <[email-masked]> wrote:
> > > > +		assertEquals(572, fRepositoryConfigTest.startOffset);
> > > > +		assertEquals(1490, fRepositoryConfig.startOffset);
> > >
> > > 1487 here
> > 
> > Really?  1490 is the only value that the test vector passes with.
> > What's the 3 bytes you think I'm off by?
> 
> Ah, --whitespace=fix did that.

Ok.  I know you like to apply with --whitespace=fix, but I would
prefer to leave these *.patch test input files[*1*] exactly as they
were created by git format-patch or git diff, so I'm sure we are
parsing the same thing git would have produced and sent to us.

*1*: I have more patches coming which add 2 more test inputs
     to the same PatchTest suite.

-- 
Shawn.